- Home
- API Enriched
- Shape
- shape
- Application Provision.
Application Provision.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/dip/namespaces/system/app_provision';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"body":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/dip/namespaces/system/app_provision \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "body": "example" }'Provision an application for a tenant.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Any payload to be passed on the Application Provision API.
object
Data to be send as the body of request. Note that multipart/formdata is not supported. Body described in https://git.shpsec.com/shape-recognize/device-ID-management/blob/master/deployment/openapi/openapi-prod.yaml.
Examplegenerated
{ "body": "example"}Responses
Section titled “Responses”A successful response.
Any payload to be return by Application Provision API.
object
Data received from the downstream server.
Examplegenerated
{ "body": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example